import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_mosquitto_is_installed(host):
    mosquitto = host.package("mosquitto")
    assert mosquitto.is_installed


def test_mosquitto_running_and_enabled(host):
    mosquitto = host.service("mosquitto")
    assert mosquitto.is_running
    assert mosquitto.is_enabled


def test_mosquitto_socket(host):
    # Verify the socket is listening for HTTP traffic
    ansible_vars = host.ansible.get_variables()
    assert host.socket("tcp://{}:8883".format(
        ansible_vars['ansible_default_ipv4']['address'])).is_listening
